* {
    direction: rtl;
}

header {
    height: 150px;
    background-color: #F8F9FA;
    padding-top: 1.5vw;
}

.h1 {
    padding-top: 1vw;
    font-family: Algerian;
    font-size: 3vw;
}

.title {
    font-family: Courier New;
    font-weight: bolder;
    font-size: 3vw;
    margin-bottom: 4vw;
    margin-top: 1vw;
}

:link {
    text-decoration: none;
}

main {
    background-image: url("https://imgg.io/images/2023/05/06/dd519d784f07f91b7a1c5543126e6d9a.jpg");
    padding: 3vw;
    padding-left: 5vw;
    padding-right: 5vw;
    display: flow-root;
    height: auto;
    background-repeat: no-repeat;
    background-size: cover;
}

.footer {
    background-color: #F8F9FA;
    height: 20%;
    font-family: Algerian;
    font-size: 1.5vw;
    width: 100%;
    bottom: 0;
    padding: 1.5vw;
}

.about-us {
    border-radius: .5vw;
    padding: 7vw;
    background-color: rgba(248, 249, 250, 0.8);
    box-shadow: .1vw .1vw .5vw .3vw rgb(80, 78, 78, .3);
    width: 80%;
    font-size: 2vw;
    font-family: 'Times New Roman', Times, serif;
    text-align: initial;
    margin: 20px;
}

.about-us div {
    padding-right: 5vw;
}

.about-us b {
    color: grey;
    font-weight: bolder;
    background-color: #e0c4c5;
    border-radius: 1vw;
}

.about-us a {
    font-size: 2.5vw;
}

.img-us {
    width: 15vw;
    height: 15vw;
    border-radius: 50%;
}

.logo {
    font-family: Algerian;
    font-size: 2.5vw;
    background-color: #e0c4c5;
    padding: 3vw;
    border-radius: 1vw;
}

.card {
    float: right;
    margin-right: 3vw;
    margin-bottom: 3vw;
    height: 40vw;
    text-align: center;
}

#btn {
    width: 80%;
    font-size: 1.5vw;
    border: none;
    color: black;
    margin-top: 2vw;
    background-color: #EFB4B6;
}

.social_media a,
button {
    font-size: 30px;
    color: black;
}

.title-store {
    font-family: Courier New;
    font-weight: bolder;
    font-size: 2.5vw;
}

#btn-pro {
    width: 80%;
    font-size: 1.5vw;
    border: none;
    color: black;
    background-color: #EFB4B6;
}

#btn-store {
    background-color: #EFB4B6;
    width: 80%;
    font-size: 1.5vw;
    border: none;
    color: black;
}

#btn:hover,
#btn-store:hover {
    background: gray;
}

#btn-control {
    width: 80%;
    font-size: 1.5vw;
}

.div-form {
    background-color: rgba(248, 249, 250, 0.8);
    border-radius: .5vw;
    margin: 0vw 5vw 0vw 5vw;
    padding: 5vw 5vw 5vw 5vw;
    width: 90%;
    box-shadow: .1vw .1vw .1vw .1vw rgb(80, 78, 78, .4);
}

.div-form-store {
    display: flex;
    gap: 5vw;
    background-color: rgba(248, 249, 250, 0.6);
    border-radius: .5vw;
    margin: 0vw 5vw 0vw 5vw;
    padding: 5vw 5vw 5vw 5vw;
    width: 90%;
    box-shadow: .1vw .1vw .1vw .1vw rgb(80, 78, 78, .4);
}

.div-personal {
    box-shadow: .1vw .1vw .1vw .1vw rgb(80, 78, 78, .4);
    background-color: rgba(248, 249, 250, 0.8);
    border-radius: .5vw;
    height: auto;
    width: 90%;
    margin: 5vw 5vw 0vw 5vw;
    padding: 2vw;
}

.div-control-control {
    box-shadow: .3vw .3vw .5vw .1vw rgb(80, 78, 78, .4);
    background-color: rgba(248, 249, 250, 0.8);
    border-radius: .5vw;
    height: auto;
    width: 90%;
    margin: 5vw 5vw 0vw 5vw;
    padding: 2vw;
}

.div-control table {
    background-color: rgba(248, 249, 250, 0.8);
    text-align: center;
    width: 90%;
    border-radius: .5vw;
    box-shadow: .3vw .3vw .5vw .1vw rgb(80, 78, 78, .4);
    word-wrap: break-word;
    max-width: 90%;
}

.thead-bottom {
    height: 30px;
}

.div-control table thead th {
    padding: 10px;
    font-size: 15px;
    color: rgb(248, 249, 250);
    background-color: #EFB4B6;
    height: 50px;
    width: 9%;
}

.show_pro {
    border: none;
    background-color: transparent;
    font-size: 17px;
}

.div-control table tr td {
    height: 5vw;
    height: 100px;
    border-bottom: 1px grey solid;
    width: 12%;
    word-wrap: break-word;
}

.div-control tbody {
    display: block;
    overflow-y: auto;
    max-height: 300px;
    overflow-x: auto;
}


#show-user,
#show-pro,
#show-store,
#show-bills,
#btn-category,
#message {
    font-size: 2vw;
}

#delete {
    font-size: 1.5vw;
}


.div-control tr {
    display: block;
}

.div-store {
    background-color: rgba(248, 249, 250, 0.8);
    border-radius: .5vw;
    height: 35vw;
    width: 90%;
    margin: 0vw 5vw 0vw 5vw;
    box-shadow: .1vw .1vw .5vw .3vw rgb(80, 78, 78, .3);
    word-wrap: break-word;
}

.div-pro {
    margin: 10px;
    height: 200px;
    max-height: 200px;
    overflow-y: auto;
}

.card-body-store {
    text-align: center;
    margin: 3vw 0vw 0vw 2vw;
    height: 20vw;
}

#image-store {
    margin: 2vw;
    height: 30vw;
    width: 30vw;
    border-radius: 50%;
}

.card-title,
.card-text {
    margin: 2vw;
    word-wrap: break-word;
}

.div-cart table {
    background-color: rgba(248, 249, 250, 0.9);
    text-align: center;
    width: 90%;
    border-radius: .5vw;
    box-shadow: .3vw .3vw .5vw .1vw rgb(80, 78, 78, .4);
}

.div-cart table thead th {
    padding: 1.5vw;
    font-size: 2vw;
    color: rgb(248, 249, 250);
    background-color: #EFB4B6;
}

.div-order table {
    background-color: rgba(248, 249, 250, 0.8);
    text-align: center;
    width: 90%;
    border-radius: .5vw;
    box-shadow: .3vw .3vw .5vw .1vw rgb(80, 78, 78, .4);
}


.div-order table thead th {
    padding: 10px;
    font-size: 1.5vw;
    color: rgb(248, 249, 250);
    background-color: #EFB4B6;
    height: 50px;
    width: 10%;
}

.div-order table tr td {
    height: 80px;
    width: 10%;
    border-bottom: 1px black solid;
}

.div-order tbody {
    display: block;
    overflow-y: auto;
    max-height: 500px;
}

.div-order tr {
    display: block;
}

.div-cart table thead tr td {
    border-bottom: var(--border);
    padding: 1.5vw;
    font-size: 2vw;
    color: black;
}

.div-cart table input[type="number"] {
    border: var(--border);
    padding: .5vw 2vw;
    font-size: 2vw;
    width: 7vw;
}

.table-bottom {
    background-color: #EFB4B6;
    height: 5vw;
}

.cart-message {
    background-color: rgba(248, 249, 250, 0.8);
    text-align: center;
    font-size: 2vw;
    border-radius: .5vw;
    height: 50%;
    width: 50%;
    padding: 5vw;
}

.div-cart .checkout-btn {
    text-align: center;
    margin-top: 1vw;

}

.checkout-btn a {
    display: inline-block;
    background-color: #EFB4B6;
    width: 40%;
    font-size: 1.5vw;
}

.div-cart .checkout-btn a.disabled {
    pointer-events: none;
    opacity: .5vw;
    user-select: none;
    background-color: #EFB4B6;

}

.checkout-form {
    margin: 0vw 5vw 0vw 5vw;
    background-color: rgba(248, 249, 250, 0.8);
    border-radius: .5vw;
    padding: 5vw;
}

.checkout-form form .flex {
    display: flex;
    flex-wrap: wrap;
    gap: 1.5vw;
}

.inputbox {
    flex-grow: 1;
    flex-shrink: 0;
    flex-basis: 300px;
}

.display-order {
    max-width: 50vw;
    background-color: #F8F9FA;
    border-radius: .5vw;
    text-align: center;
    /* padding: 2vw; */
    margin: 0 auto;
    margin-bottom: 2vw;
    box-shadow: .3vw .3vw .5vw .5vw rgb(80, 78, 78, .4);
    border: .1px black solid;
}

.display-order span {
    display: inline-block;
    border-radius: .5vw;
    background-color: rgb(219, 219, 219);
    padding: .5vw 1.5vw;
    font-size: 1.5vw;
    color: black;
}

.display-order span.grand-total {
    width: 100%;
    background-color: #F8F9FA;
    color: black;
    padding: 1vw;
    margin-top: 1vw;
}

.order_message_container {
    position: fixed;
    top: 0;
    left: 0;
    min-height: 100vh;
    overflow-y: scroll;
    overflow-x: hidden;
    /* padding: 2vw; */
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1100;
    background-color: rgba(0, 0, 0, 0.5);
    width: 100%;
}

.order_message_container::-webkit-scrollbar {
    width: 1vw;
}

.order_message_container::-webkit-scrollbar-track {
    background-color: aliceblue;
}

.order_message_container::-webkit-scrollbar-thumb {
    background-color: red;
}

.message_container {
    width: 40%;
    background-color: #F8F9FA;
    border-radius: .5vw;
    padding: 2vw;
    text-align: center;
}

.message_container h3 {
    font-size: 2vw;
    margin: 1VW;
    color: black;
}

.order_detail {
    background-color: rgb(218, 223, 227);
    border-radius: .5vw;
    padding: 1vw;
    margin-bottom: 1vw;
}

.total {
    display: block;
    background: red;
    color: #F8F9FA;
    padding: 1VW;
    margin: 1VW;
    border-radius: .5vw;
}

.order_details {
    margin: 1vw;
}

.order_message_container.message_container.order_details p {
    padding: 1vw;
    font-size: 1.5vw;
    color: black;
}

.order_details p span {
    color: blue;
    padding: 0 .5vw;
    text-transform: none;
}

/* .control-store {
    margin-top: 2vw;
} */

#image-control {
    height: 200px;
    width: 250px;
    border-radius: .5vw;
    margin-top: .5vw;
}

.card {
    width: 320px;
    display: flow-root;
    height: 500px;
    box-shadow: .1vw .1vw .1vw .1vw rgb(80, 78, 78, .4);
    background-color: #F8F9FA;
    padding-top: 1vw;
}

.card-body-control {
    max-height: 150px;
    overflow-y: auto;
    height: 150px;
}

.button-control {
    margin: 1.5vw;
}

.button-control a {
    width: 40%;
}

#image {
    height: 200px;
    width: 280px;
    border-radius: 10px;
    margin-top: 10px;
}

.update-control {
    position: fixed;
    top: 0;
    left: 0;
    min-height: 100vh;
    overflow-y: scroll;
    overflow-x: hidden;
    /* padding: 2vw; */
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1100;
    background-color: rgba(0, 0, 0, 0.5);
    width: 100%;
}

.update-box {
    border-radius: .5vw;
    width: 40%;
    background-color: #F8F9FA;
    padding: 2vw;
    text-align: center;
}

.form-control {
    font-size: 1.5vw;
}

.total_review i {
    color: gold;
    font-size: 2vw;
}

.image-review {
    border-radius: .5vw;
    height: 25vw;
    object-fit: cover;
    margin-bottom: 1.5vw;
    width: 100%;
}

.row-review {
    padding: 2vw;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 2vw;
    background-color: rgba(248, 249, 250, 0.8);
    box-shadow: .3vw .3vw .5vw .5vw rgb(80, 78, 78, .4);
    border-radius: .5vw;
}

/* stores  */

.row-store {
    padding: 2vw;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 2vw;
    background-color: rgba(248, 249, 250, 0.8);
    box-shadow: .3vw .3vw .5vw .5vw rgb(80, 78, 78, .4);
    border-radius: .5vw;
}

.total-store {
    font-size: 2vw;
    padding-top: 1vw;
}

.box-store {
    padding-top: 1vw;
    text-align: center;
}

/* stores */

.col-one,
.col-two {
    flex: 1 1 40vw;
}

.title-review {
    font-size: 1vw;
    color: black;
    text-align: center;
}

.flex-review {
    display: flex;
    flex-wrap: wrap;
    gap: 2vw;
    align-items: center;
    justify-content: space-evenly;
}

.total-reviews h3 {
    font-size: 7vw;
    color: black;
}

.total-reviews i {
    font-size: 3vw;
}

.total-reviews p {
    font-size: 2vw;
    padding-top: 1vw;
}

.total-rating {
    font-size: 1.5vw;
}

.total-rating p {
    padding: .3vw 0;
}

.total-rating p i {
    color: gold;
}

.total-rating span {
    color: gray;
}

.account-form {
    position: fixed;
    top: 0;
    left: 0;
    min-height: 100vh;
    overflow-y: scroll;
    overflow-x: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1100;
    background-color: rgba(0, 0, 0, 0.5);
    width: 100%;
}

.add-review {
    border-radius: .5vw;
    width: 40%;
    background-color: #F8F9FA;
    padding: 2vw;
}

.add-review h5 {
    text-align: center;
}

.box-containar {
    row-gap: 1vw;
    background-color: rgba(248, 249, 250, 0.6);
    box-shadow: .3vw .3vw .5vw .5vw rgb(80, 78, 78, .4);
    border-radius: .5vw;
    padding: 3vw;
}

.box-containar .box {
    display: flex;
    flex-wrap: wrap;
    overflow-x: hidden;
    position: relative;
    border-bottom: var(--border);
    box-shadow: .1vw .1vw .1vw .3vw rgb(80, 78, 78, .4);
    margin-bottom: 2vw;
}

.box-containar .box .user {
    display: flex;
    align-items: center;
    gap: 3vw;
}

.user h3 {
    font-size: 1.5vw;
    height: 6vw;
    text-transform: uppercase;
    text-align: center;
    line-height: 6.5vw;
    padding-right: 2vw;
}

.box-containar .box span {
    color: rgb(159, 155, 155);
    font-size: 1vw;
}

.raitings p {
    position: absolute;
    left: 0;
    border-radius: .5vw;
    color: gold;
    margin: 2vw;
    font-size: 1.5vw;
    text-align: left;
    padding-left: 2vw;
}

.title-reviews {
    padding-right: 2vw;
    font-size: 2vw;
}

.description {
    font-size: 1.6vw;
    white-space: pre-line;
    padding-bottom: 2vw;
    padding-right: 3vw;
}

.wrapper {
    background-color: rgba(248, 249, 250, 0.8);
    max-width: 450px;
    width: 100%;
    border-radius: 10px;
    box-shadow: .3vw .3vw .5vw .1vw rgb(80, 78, 78, .4);

}

.chat-area header {
    display: flex;
    align-items: center;
    padding: 18px 30px;
    border-radius: 10px 10px 0 0;
    background-color: lightgrey;
    height: 100px;
}

.chat-area header .details {
    padding-top: 10px;
    width: 300px;
    height: 50px;
    text-align: right;
}

.chat-area header img {
    height: 50px;
    width: 50px;
    margin: 0 15px;
    border-radius: 50%;
}

.chat-area header .details span {
    font-size: 20px;
    font-weight: 500;
}

.chat-box .details {
    text-align: center;
    word-wrap: break-word;
}

.chat-box {
    position: relative;
    min-height: 350px;
    max-height: 350px;
    overflow-y: auto;
    border-radius: 0 0 10px 10px;
    padding: 20px 30px 20px 30px;
}

.chat-area header .back-icon {
    display: block;
    background: #333;
    color: #fff;
    outline: none;
    border: none;
    padding: 7px 15px;
    text-decoration: none;
    border-radius: 5px;
    font-size: 17px;
}

.content {
    display: flex;
    align-items: center;
    width: 100%;
    height: auto;
    background-color: lightgray;
    border-radius: 10px;
    padding: 10px;
    word-wrap: break-word;
    margin-bottom: 10px;
}

.content span {
    color: black;
    padding-right: 20px;
    display: flex;
    text-align: center;
}

.content p {
    text-align: center;
    width: 100%;
    font-size: 15px;
    padding-right: 20px;
}

.content img {
    height: 50px;
    width: 50px;
    margin: 10px;
    border-radius: 50%;
    background-color: whitesmoke;
    padding: 5px;
}

.content i {
    height: 50px;
    width: 50px;
    margin: 10px;
    border-radius: 50%;
    background-color: whitesmoke;
    font-size: 35px;
}

.bottom {
    background-color: lightgray;
    height: 50px;
    border-radius: 0 0 10px 10px;
}